.TH device_autorotator 1 "23 Feb 2014" "0.1.0" "device_autorotator"
.SH "NAME"
device_autorotator - automatically rotate input devices.
.SH "SYNOPSIS"
device_autorotator [-d][-r] <Output> <Input Devices> ...
.br
device_autorotator {-h, -v}
.SH "DESCRIPTION"
 Rotates input devices by screen rotation event from XRandR, so that Input devices can follow output's rotation (Example: touchscreens)

A name of Output can be obtained from
.B "xrandr"
(1). (Example: VGA1, HDMI1, eDP1...)
.br
A name of Input device can be obtained from
.B "xinput"
(1). (Example: "Atmel Atmel maXTouch Digitizer", ..) For input devices, id number can be used instead of name. Multiple input devices can be passed through command line.
.P
	$> device_autorotator eDP1 "Atmel Atmel maXTouch Digitizer" "USB Keyboard+SmartPad"
.SS "SINGLE INSTANCE"
This is daemon-like application. so only one instance of this application will run (per user). When this application is running, it makes lock file named
.B ".device_autorotator.pid"
on home folder. On this file, it says the pid of running instance and command line options that given to that instance.
.br
If you want replace current running instance, you can pass "--replace" option to new instance so new instance can exit running instance.
.SH "OPTIONS"
-d (or --daemonize)
.br
	Spawn another device_autorotator (1) instance and exit.
.br
	pid is printed.
.P
-r (or --replace)
.br
	Replace current running instance. Previously running instance will exit.
.P
-h
.br
	prints brief help for device_autorotator.
.P
-v
.br
	prints version of device_autorotator.
.SH "FILES"
~/.device_autorotator.pid
.br
	Lock file for this application. this has pid of running instance.
.SH "DIAGNOSTICS"
FIXME
.SH "SEE ALSO"
xinput (1) xrandr (1)
.SH "COPYRIGHT"
Copyright 2014, WSID
.SH "AUTHOR"
WSID <jongsome@naver.com> <wsidre.egloos.com>