.TH device_autorotator 1 "23 Feb 2014" "0.1.0" "device_autorotator"
.SH "NAME"
device_autorotator - 자동으로 입력 장치를 회전합니다.
.SH "SYNOPSIS"
device_autorotator [-d][-r] <출력> <입력 장치들> ...
.br
device_autorotator {-h, -v}
.SH "DESCRIPTION"
 XRandR에서 화면 회전 이벤트를 받아들여, 입력 장치들을 회전 시킵니다. 그래서 입력 장치들이 회전된 화면에 맞출 수 있게 합니다. (예: 터치스크린)
.P
출력의 이름은
.B "xrandr"
(1)을 통해 알 수 있습니다. (예: VGA1, HDMI1, eDP1...)
.br
입력 장치의 이름은
.B "xinput"
(1)를 통해 알 수 있습니다. (예: "Atmel Atmel maXTouch Digitizer", ..) 입력 장치의 경우 id를 이름 대신 사용할 수 있습니다. 여러 개의 입력 장치도 명령행에서 전달 가능합니다.
.P
	$> device_autorotator eDP1 "Atmel Atmel maXTouch Digitizer" "USB Keyboard+SmartPad"
.SS "SINGLE INSTANCE"
이 프로그램은 Daemon과 유사한 프로그램입니다. 그래서 하나의 인스턴스만 구동됩니다. (사용자 한 명당). 이 프로그램이 동작할 때엔
.B ".device_autorotator.pid"
라는 파일을 홈 폴더에 만듭니다. 이 파일에는 현재 구동중인 인스턴스의 PID와 명령행 옵션이 적혀있습니다.
.br
만약 현재 구동중인 인스턴스를 교체하고 싶을 경우 "--replace" 옵션으로 실행해서 새로 구동되는 인스턴스가 현재 구동중인 인스턴스를 종료하도록 할 수 있습니다.
.SH "OPTIONS"
-d (or --daemonize)
.br
	배경에서 구동되는 device_autorotator (1)를 실행하고 종료합니다.
.br
	해당 인스턴스의 PID기 출력됩니다.
.P
-r (or --replace)
.br
	현재 실행중인 인스턴스를 교체합니다. 기존 실행중인 인스턴스는 종료됩니다.
.P
-h
..br
	간단한 device_autorotator 사용 도움말을 출력합니다.
.P
-v
.br
	device_autorotator의 버전 정보를 출력합니다.
.SH "FILES"
~/.device_autorotator.pid
.br
	이 프로그램의 잠금 파일입니다. 현재 구동중인 인스턴스의 PID와 명령행 옵션이 적혀 있습니다.
.SH "DIAGNOSTICS"
FIXME
.SH "SEE ALSO"
xinput (1) xrandr (1)
.SH "COPYRIGHT"
2014, 저작권은 WSID에게 귀속됩니다.
.SH "AUTHOR"
WSID <jongsome@naver.com> <wsidre.egloos.com>