/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*-  */
/*
 * dar_def.h
 * Copyright (C) 2014 WSID <wsid@wsid-pc>
 * 
 * device-autorotator is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * device-autorotator is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 */

#ifndef __DAR_DEFINE_HEADER
#define __DAR_DEFINE_HEADER

#include <stdbool.h>

typedef enum _DarRotation {
	DAR_ROTATION_0,
	DAR_ROTATION_90,
	DAR_ROTATION_180,
	DAR_ROTATION_270
} DarRotation;

extern const bool   dar_swap [4];
extern const bool   dar_x_flip[4];
extern const bool   dar_y_flip[4];
extern const float  dar_rot_matrix[4][3][3];
#endif  //DAR_DEFINE_HEADER