#ifndef __DAR_DEVICE_HEADER
#define __DAR_DEVICE_HEADER

#include "dar_def.h"

/* callback type definition ***************************************************/

typedef void	(*DarDeviceCallback)(DarRotation		rotation,
			                 		 void*				user_data);

/* function prototypes ********************************************************/

void	dar_device_init				(void);
void	dar_device_set_watch		(const char*		watched);
void	dar_device_add_target		(const char*		target);

void	dar_device_watch			(DarDeviceCallback  callback,
		                    		 void*				user_data);

void	dar_device_rotate_target	(DarRotation		rotation);


#endif  //DAR_DEVICE_HEADER